Bug 849419 - ovirt-engine-backend [RFE]: allow create of disk from template
ovirt-engine-backend [RFE]: allow create of disk from template
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: RFEs (Show other bugs)
unspecified
x86_64 Linux
high Severity high
: ---
: 3.2.0
Assigned To: Miki Kenneth
Yaniv Kaul
storage
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-19 07:14 EDT by Dafna Ron
Modified: 2016-02-10 15:22 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-25 02:25:13 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dafna Ron 2012-08-19 07:14:24 EDT
Description of problem:

currently, if I have a template with already installed OS I need to create a new vm to be able to create the disk. if I want to add a disk to an already existing vm I have to create a vm from the template and detach the disk.
it would be a nice addition to be able to create a disk from a template. 
since the templates are already in a disk entity. 

Version-Release number of selected component (if applicable):

si14

How reproducible:

100%

Steps to Reproduce:
1. import template
2. try to create a new disk from one of the template's disks
3.
  
Actual results:

we are unable to create a disk from a template - only a vm. 

Expected results:

since we are working with disks entities I think we should be able to create a disk from a template. 

Additional info:
Comment 1 Ayal Baron 2012-08-19 17:06:38 EDT
(In reply to comment #0)
> Description of problem:
> 
> currently, if I have a template with already installed OS I need to create a
> new vm to be able to create the disk. 

What disk are you referring to?

> if I want to add a disk to an already
> existing vm I have to create a vm from the template and detach the disk.

Adding a disk to an existing VM is just an add disk operation, what does the template have to do with it?

> it would be a nice addition to be able to create a disk from a template. 
> since the templates are already in a disk entity.

Templates are already in a disk entity? what does that mean?

What I believe you're actually asking for is to split the template entity.
I'm pretty certain there are already rfe's about that.
What needs to be done is divide the template entity into:
1. read only disks (that can be cloned / used as base of cow disks)
2. virtual hardware config
3. cluster config (mapping networks etc)
Comment 2 Dafna Ron 2012-08-20 04:13:31 EDT
(In reply to comment #1)
> (In reply to comment #0)
> > Description of problem:
> > 
> > currently, if I have a template with already installed OS I need to create a
> > new vm to be able to create the disk. 
> 
> What disk are you referring to?

if I just want to create a new disk image based on a template's image (not a new vm). 

> 
> > if I want to add a disk to an already
> > existing vm I have to create a vm from the template and detach the disk.
> 
> Adding a disk to an existing VM is just an add disk operation, what does the
> template have to do with it?

when you create a new vm you can select a blank template (which would create a new vm and than create the images) or you can select an existing template with it's images. 
I want to use an image from a template and create a new disk as clone of that template's image

> 
> > it would be a nice addition to be able to create a disk from a template. 
> > since the templates are already in a disk entity.
> 
> Templates are already in a disk entity? what does that mean?

if you look at the disks tab you can see each template's image in the tab. we also have to copy each disk image on it's own to different domains -> so we have an ability to see the template's images as a separate entity much like a regular rw disk. 

> 
> What I believe you're actually asking for is to split the template entity.
> I'm pretty certain there are already rfe's about that.
> What needs to be done is divide the template entity into:
> 1. read only disks (that can be cloned / used as base of cow disks)
> 2. virtual hardware config
> 3. cluster config (mapping networks etc)

this is one way of doing it but I think that what I am asking for is much less complicated. 
what I want is to add a roller in the add disk dialogue that would select the template's disk images and I would be able to create a new disk from a template's disk. since we already show the template's disk's in the disk tab and we regard them as an independent image (since I can choose to copy only one of the template's disks to a different domain) I think that the base is already there and it would be much less complicated to do.
Comment 3 Itamar Heim 2013-02-25 02:25:13 EST
Closing old bugs. If this issue is still relevant/important in current version, please re-open the bug.

Note You need to log in before you can comment on or make changes to this bug.